<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Sat Oct 17 14:57:55 CAT 2015 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>Index (DHS-CLINICAL: COMMONS 1.0 API)</title>
<meta name="date" content="2015-10-17">
<link rel="stylesheet" type="text/css" href="./stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Index (DHS-CLINICAL: COMMONS 1.0 API)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#_C_">C</a>&nbsp;<a href="#_F_">F</a>&nbsp;<a href="#_L_">L</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_T_">T</a>&nbsp;<a href="#_V_">V</a>&nbsp;<a href="#_Z_">Z</a>&nbsp;<a name="_C_">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="./za/co/computro/util/Constant.html" title="enum in za.co.computro.util"><span class="strong">Constant</span></a> - Enum in <a href="./za/co/computro/util/package-summary.html">za.co.computro.util</a></dt>
<dd>
<div class="block">Holds constant values used to lookup expected system properties
 Use -Dserver.host=SERVER_NAME -Dserver.port=PORT_NUMBER 
 -Dpath.file=FILE_NAME JVM options to set the system properties</div>
</dd>
</dl>
<a name="_F_">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/config/FileReaderConfig.html#fileReader()">fileReader()</a></span> - Method in class za.co.computro.config.<a href="./za/co/computro/config/FileReaderConfig.html" title="class in za.co.computro.config">FileReaderConfig</a></dt>
<dd>
<div class="block">instance of FlatFileReader</div>
</dd>
<dt><a href="./za/co/computro/service/FileReader.html" title="interface in za.co.computro.service"><span class="strong">FileReader</span></a> - Interface in <a href="./za/co/computro/service/package-summary.html">za.co.computro.service</a></dt>
<dd>
<div class="block">Generic file reader interface</div>
</dd>
<dt><a href="./za/co/computro/config/FileReaderConfig.html" title="class in za.co.computro.config"><span class="strong">FileReaderConfig</span></a> - Class in <a href="./za/co/computro/config/package-summary.html">za.co.computro.config</a></dt>
<dd>
<div class="block">Can replace config with xml for external control (e.g.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/config/FileReaderConfig.html#FileReaderConfig()">FileReaderConfig()</a></span> - Constructor for class za.co.computro.config.<a href="./za/co/computro/config/FileReaderConfig.html" title="class in za.co.computro.config">FileReaderConfig</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./za/co/computro/service/FlatFileReader.html" title="class in za.co.computro.service"><span class="strong">FlatFileReader</span></a> - Class in <a href="./za/co/computro/service/package-summary.html">za.co.computro.service</a></dt>
<dd>
<div class="block">Implementation of FileReader class
 Reads human readable text from a text file and return
 the contents as a string</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/service/FlatFileReader.html#FlatFileReader()">FlatFileReader()</a></span> - Constructor for class za.co.computro.service.<a href="./za/co/computro/service/FlatFileReader.html" title="class in za.co.computro.service">FlatFileReader</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_L_">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/util/Logger.html#logError(java.lang.String)">logError(String)</a></span> - Method in class za.co.computro.util.<a href="./za/co/computro/util/Logger.html" title="class in za.co.computro.util">Logger</a></dt>
<dd>
<div class="block">Logs an error to the standard error output</div>
</dd>
<dt><a href="./za/co/computro/util/Logger.html" title="class in za.co.computro.util"><span class="strong">Logger</span></a> - Class in <a href="./za/co/computro/util/package-summary.html">za.co.computro.util</a></dt>
<dd>
<div class="block">Here you can implement your logger to log to a file, 
 DB or even a combination of a few destinations.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/util/Logger.html#Logger()">Logger()</a></span> - Constructor for class za.co.computro.util.<a href="./za/co/computro/util/Logger.html" title="class in za.co.computro.util">Logger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/util/Logger.html#logMessage(java.lang.String)">logMessage(String)</a></span> - Method in class za.co.computro.util.<a href="./za/co/computro/util/Logger.html" title="class in za.co.computro.util">Logger</a></dt>
<dd>
<div class="block">Writes a normal message to the standard output</div>
</dd>
</dl>
<a name="_R_">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="./za/co/computro/service/ReaderException.html" title="class in za.co.computro.service"><span class="strong">ReaderException</span></a> - Exception in <a href="./za/co/computro/service/package-summary.html">za.co.computro.service</a></dt>
<dd>
<div class="block">Represents an exception that occurred in the FileReader</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/service/ReaderException.html#ReaderException(java.lang.String)">ReaderException(String)</a></span> - Constructor for exception za.co.computro.service.<a href="./za/co/computro/service/ReaderException.html" title="class in za.co.computro.service">ReaderException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/service/ReaderException.html#ReaderException(java.lang.String,%20java.lang.Throwable)">ReaderException(String, Throwable)</a></span> - Constructor for exception za.co.computro.service.<a href="./za/co/computro/service/ReaderException.html" title="class in za.co.computro.service">ReaderException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/service/FileReader.html#readFile(java.lang.String)">readFile(String)</a></span> - Method in interface za.co.computro.service.<a href="./za/co/computro/service/FileReader.html" title="interface in za.co.computro.service">FileReader</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/service/FlatFileReader.html#readFile(java.lang.String)">readFile(String)</a></span> - Method in class za.co.computro.service.<a href="./za/co/computro/service/FlatFileReader.html" title="class in za.co.computro.service">FlatFileReader</a></dt>
<dd>
<div class="block">Reads and returns contents of a flat file as a string 
 (uses NIO to read file content)</div>
</dd>
</dl>
<a name="_T_">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/util/Constant.html#toString()">toString()</a></span> - Method in enum za.co.computro.util.<a href="./za/co/computro/util/Constant.html" title="enum in za.co.computro.util">Constant</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_V_">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/util/Constant.html#valueOf(java.lang.String)">valueOf(String)</a></span> - Static method in enum za.co.computro.util.<a href="./za/co/computro/util/Constant.html" title="enum in za.co.computro.util">Constant</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/util/Constant.html#values()">values()</a></span> - Static method in enum za.co.computro.util.<a href="./za/co/computro/util/Constant.html" title="enum in za.co.computro.util">Constant</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
</dl>
<a name="_Z_">
<!--   -->
</a>
<h2 class="title">Z</h2>
<dl>
<dt><a href="./za/co/computro/config/package-summary.html">za.co.computro.config</a> - package za.co.computro.config</dt>
<dd>&nbsp;</dd>
<dt><a href="./za/co/computro/service/package-summary.html">za.co.computro.service</a> - package za.co.computro.service</dt>
<dd>&nbsp;</dd>
<dt><a href="./za/co/computro/util/package-summary.html">za.co.computro.util</a> - package za.co.computro.util</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#_C_">C</a>&nbsp;<a href="#_F_">F</a>&nbsp;<a href="#_L_">L</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_T_">T</a>&nbsp;<a href="#_V_">V</a>&nbsp;<a href="#_Z_">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2015. All rights reserved.</small></p>
</body>
</html>
